/*********************************************************

    ██████╗  █████╗ ███╗   ██╗███████╗██╗     ███████╗
    ██╔══██╗██╔══██╗████╗  ██║██╔════╝██║     ██╔════╝
    ██████╔╝███████║██╔██╗ ██║█████╗  ██║     ███████╗
    ██╔═══╝ ██╔══██║██║╚██╗██║██╔══╝  ██║     ╚════██║
    ██║     ██║  ██║██║ ╚████║███████╗███████╗███████║
    ╚═╝     ╚═╝  ╚═╝╚═╝  ╚═══╝╚══════╝╚══════╝╚══════╝

 *********************************************************/

    

    /* Panel defaults. */

    .panel {
        max-width: var(--nvm-panel-normal-width);
        margin: auto;
    }

    .is-root-container .panel {
        width: var(--nvm-panel-normal-width);
        /*padding: 0 var(--nvm-grid-gutter);*/
    }

    /*.small .panel {
        padding: 0 var(--nvm-grid-gutter);
    }

    .tablet .panel {
        padding: 0 var(--nvm-grid-gutter);
    }

    .laptop .panel {
        padding: 0 var(--nvm-grid-gutter);
    }

    .panel .panel {
        padding: 0;
    }*/



    /* Panel widths. */

    .panel-width-small {
        max-width: var(--nvm-panel-small-width);
    }

    .is-root-container .panel-width-small {
        flex-basis: var(--nvm-panel-small-width);
        width: auto;
    }

    .panel-width-narrow {
        max-width: var(--nvm-panel-narrow-width);
    }

    .is-root-container .panel-width-narrow {
        flex-basis: var(--nvm-panel-narrow-width);
        width: auto;
    }

    .panel-width-normal {
        max-width: var(--nvm-panel-normal-width);
    }

    .is-root-container .panel-width-normal {
        flex-basis: var(--nvm-panel-normal-width);
        width: auto;
    }

    .panel-width-wide {
        max-width: var(--nvm-panel-wide-width);
    }

    .is-root-container .panel-width-wide {
        flex-basis: var(--nvm-panel-wide-width);
        width: auto;
    }

    .panel-width-full {
        max-width: 100%;
        padding: 0 !important;
    }

    .is-root-container .panel-width-full {
        flex-basis: 100%;
        width: auto;
    }



/******************************************

    ██████╗  ██████╗ ██╗    ██╗███████╗
    ██╔══██╗██╔═══██╗██║    ██║██╔════╝
    ██████╔╝██║   ██║██║ █╗ ██║███████╗
    ██╔══██╗██║   ██║██║███╗██║╚════██║
    ██║  ██║╚██████╔╝╚███╔███╔╝███████║
    ╚═╝  ╚═╝ ╚═════╝  ╚══╝╚══╝ ╚══════╝

 ******************************************/



    /* Row defaults. */

    .row .block-editor-block-list__layout {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        align-items: stretch;
        justify-content: flex-start;
        margin-top: 0;
        margin-bottom: 0;
        padding-top: 0;
        padding-bottom: 0;
    }



    /* Editor rows width. */

    .row .block-editor-inner-blocks {
        max-width: 100%;
        flex-basis: 100%;
    }



    /* Editor rows vertical alignment. */
    
    .align-items-start .block-editor-block-list__layout {
        align-items: flex-start;
    }
    
    .align-items-center .block-editor-block-list__layout {
        align-items: center;
    }
    
    .align-items-end .block-editor-block-list__layout {
        align-items: flex-end;
    }

    .align-items-stretch .block-editor-block-list__layout {
        align-items: stretch;
    }



    /* Editor rows horizontal alignment. */

    .justify-content-start .block-editor-block-list__layout {
        justify-content: flex-start;
    }

    .justify-content-center .block-editor-block-list__layout {
        justify-content: center;
    }

    .justify-content-end .block-editor-block-list__layout {
        justify-content: flex-end;
    }
